---
features:
  secondary:
  - name: "Migrate GitLab Pages in the background"
    available_in: [core, premium, ultimate]
    gitlab_com: false
    documentation_link: 'https://docs.gitlab.com/ee/administration/pages/#zip-storage'
    reporter: kbychu
    stage: release
    categories:
    - 'Pages'
    issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/3910'
    description: |
      In preparation for moving GitLab Pages to the new [ZIP-storage architecture](https://docs.gitlab.com/ee/administration/pages/#zip-storage) in 14.0,
      we are introducing an automatic background migration in 13.11. This background migration will convert existing sites to the new storage format and run at a very slow speed to avoid having a significantly negative impact on the performance of your instance.
      In GitLab 13.12, we will add the option to run the same migration with greater speed.
      You can also [run the migration manually](https://docs.gitlab.com/ee/administration/pages/#migrate-legacy-storage-to-zip-storage).
      This will allow you to verify the migration result, identify any migration errors, and fix them.
